summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2013-01-05 02:27:16 +0000
committerZac Medico <zmedico@gentoo.org>2013-01-05 02:27:16 +0000
commit76fcded0da37fdd8de4ca14803e416cafec5d22c (patch)
treed66d0a3db2ccfd7b2813ac05d844d586c1ae01a2 /eclass/autotools.eclass
parentFix installsources spelling in comment. (diff)
downloadhistorical-76fcded0da37fdd8de4ca14803e416cafec5d22c.tar.gz
historical-76fcded0da37fdd8de4ca14803e416cafec5d22c.tar.bz2
historical-76fcded0da37fdd8de4ca14803e416cafec5d22c.zip
Avoid unsafe nested multijob_finish_one in eautoreconf for bug #426512.
Diffstat (limited to 'eclass/autotools.eclass')
-rw-r--r--eclass/autotools.eclass12
1 files changed, 9 insertions, 3 deletions
diff --git a/eclass/autotools.eclass b/eclass/autotools.eclass
index 52029d137cf7..2b92cfb2b2cd 100644
--- a/eclass/autotools.eclass
+++ b/eclass/autotools.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.149 2012/09/20 18:04:59 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.150 2013/01/05 02:27:16 zmedico Exp $
# @ECLASS: autotools.eclass
# @MAINTAINER:
@@ -157,7 +157,13 @@ eautoreconf() {
for x in $(autotools_check_macro_val AC_CONFIG_SUBDIRS) ; do
if [[ -d ${x} ]] ; then
pushd "${x}" >/dev/null
- AT_NOELIBTOOLIZE="yes" multijob_child_init eautoreconf || die
+ if [[ -z ${PAST_TOPLEVEL_EAUTORECONF} ]] ; then
+ PAST_TOPLEVEL_EAUTORECONF="yes" AT_NOELIBTOOLIZE="yes" \
+ multijob_child_init eautoreconf || die
+ else
+ # Avoid unsafe nested multijob_finish_one for bug #426512.
+ AT_NOELIBTOOLIZE="yes" eautoreconf || die
+ fi
popd >/dev/null
fi
done